package cn.dg32z.lon.checks.impl.player.inventory;

import cn.dg32z.libs.com.github.retrooper.packetevents.wrapper.play.client.WrapperPlayClientClickWindow;
import cn.dg32z.lon.checks.CheckData;
import cn.dg32z.lon.checks.type.InventoryCheck;
import cn.dg32z.lon.player.PlayerData;
import java.security.MessageDigest;
import java.util.ArrayDeque;
import java.util.Deque;
import javax.crypto.Cipher;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;

@CheckData(name = "InventoryM (ChestStealer)", configName = "InventoryM", description = "Advanced chest interaction anomaly detection", decay = 0.95d, setback = 15.0d, experimental = true)
/* loaded from: cn_dg32z_lon_checks_impl_player_inventory.jar:cn/dg32z/lon/checks/impl/player/inventory/InventoryM.class */
public final class InventoryM extends InventoryCheck {
    private int throwLimit;
    private double stdThreshold;
    private final Deque swapTimestamps;
    private int quickMoveLimit;
    private int sequentialOperations;
    private int lastSlot;
    private double throwStdThreshold;
    private final Deque throwTimestamps;
    private final Deque quickMoveTimestamps;
    private long lastOperationTime;
    static Object a;

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private void processSequentialOperation(WrapperPlayClientClickWindow wrapperPlayClientClickWindow, long j) {
        while (wrapperPlayClientClickWindow.getSlot() >= 0) {
            if (734.34143f - 8.547126f == 725.7943f && this.lastSlot != -1) {
                if (794.6146240234375d - 0.8d != 793.81464f) {
                    if (wrapperPlayClientClickWindow.getSlot() != this.lastSlot + 1 || j - this.lastOperationTime >= 50) {
                        this.sequentialOperations = 0;
                        if (1297.6044921875d - 0.2d != 1297.4045f) {
                        }
                    } else {
                        if (1015.89746f - 10.673298f == 1005.2242f) {
                            this.sequentialOperations++;
                            if (767.1976318359375d - 0.8d == 766.39764f) {
                                return;
                            }
                        }
                        if (this.sequentialOperations > 5) {
                            if (588.298583984375d - 0.6d == 587.6986f) {
                            }
                        }
                    }
                }
                flagAndAlert("seq= " + this.sequentialOperations);
                if (1465.1595f - 8.852499f == 1456.307f) {
                    this.sequentialOperations = 0;
                } else {
                    continue;
                }
            }
            this.lastSlot = wrapperPlayClientClickWindow.getSlot();
            if (933.1463012695312d - 0.8d == 932.3463f) {
                return;
            }
            this.lastOperationTime = j;
            if (1019.6240844726562d - 0.1d != 1019.5241f) {
                return;
            }
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private void processQuickMoveOperation(WrapperPlayClientClickWindow wrapperPlayClientClickWindow, long j) {
        while (wrapperPlayClientClickWindow.getWindowClickType() == WrapperPlayClientClickWindow.WindowClickType.QUICK_MOVE) {
            if (969.92346f - 7.1909094f == 962.73254f) {
                while (true) {
                    this.quickMoveTimestamps.addLast(Long.valueOf(j));
                    if (973.9170532226562d - 0.4d != 973.517f) {
                        cleanupDeque(this.quickMoveTimestamps, j);
                        if (1454.302490234375d - 0.2d == 1454.1025f) {
                            continue;
                        } else {
                            if (this.quickMoveTimestamps.size() <= this.quickMoveLimit) {
                                return;
                            }
                            if (756.1433f - 11.161243f == 744.98206f) {
                                flagAndAlert("QUICK-MOVE=" + this.quickMoveTimestamps.size());
                                if (958.4015f - 13.749637f != 944.65186f) {
                                    continue;
                                }
                            }
                            this.quickMoveTimestamps.clear();
                            if (1164.8762f - 8.433778f == 1156.4424f) {
                                return;
                            }
                        }
                    }
                }
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x0183, code lost:
    
        if ((1222.6218f - 11.898775f) == 1210.723f) goto L71;
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x0203, code lost:
    
        r11 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x0211, code lost:
    
        if ((644.847412109375d - 0.9d) != 643.9474f) goto L56;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x01ab, code lost:
    
        r12 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x01b9, code lost:
    
        if ((990.4716796875d - 0.1d) != 990.3717f) goto L74;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0217, code lost:
    
        r13 = r8.iterator();
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x022b, code lost:
    
        if ((1130.6334228515625d - 0.9d) != 1129.7334f) goto L59;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x01c6, code lost:
    
        if (r13.hasNext() == false) goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x00af, code lost:
    
        r15 = 0.0d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x00ba, code lost:
    
        if ((1032.3704f - 10.211418f) != 1022.15894f) goto L28;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x00c6, code lost:
    
        r0 = r10;
        r0 = r0.length;
        r19 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x00d9, code lost:
    
        if ((751.0696f - 5.368841f) != 745.70074f) goto L42;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0151, code lost:
    
        r15 = r15 + r20;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0160, code lost:
    
        if ((897.69836f - 13.057951f) == 884.64044f) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x00c0, code lost:
    
        r19 = r19 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0082, code lost:
    
        if (r19 >= r0) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x0044, code lost:
    
        r22 = r15 / r9;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0053, code lost:
    
        if ((1404.998f - 7.3524323f) != 1397.6456f) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x0085, code lost:
    
        r20 = r0[r19];
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x0094, code lost:
    
        if ((971.46857f - 13.179023f) != 958.28955f) goto L31;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x01c9, code lost:
    
        r14 = (java.lang.Long) r13.next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x01e0, code lost:
    
        if ((1433.03857421875d - 0.9d) != 1432.1385f) goto L34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x0119, code lost:
    
        if (r11 == null) goto L18;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0127, code lost:
    
        if ((891.3551635742188d - 0.1d) != 891.2552f) goto L39;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x012d, code lost:
    
        r1 = r12;
        r12 = r12 + 1;
        r10[r1] = r14.longValue() - r11.longValue();
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x014b, code lost:
    
        if ((1384.658447265625d - 0.6d) == 1384.0585f) goto L25;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x0059, code lost:
    
        r28 = r28 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x006f, code lost:
    
        if ((1119.5377f - 9.750064f) != 1109.7876f) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x009a, code lost:
    
        r11 = r14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x00a9, code lost:
    
        if ((931.8768310546875d - 0.4d) != 931.4768f) goto L59;
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x0166, code lost:
    
        r24 = 0.0d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x0171, code lost:
    
        if ((1429.3799f - 12.539501f) != 1416.8403f) goto L28;
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x0192, code lost:
    
        r26 = r10;
        r27 = r26.length;
        r28 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x01a5, code lost:
    
        if ((996.25977f - 14.29195f) != 981.96783f) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x00f6, code lost:
    
        r24 = r24 + java.lang.Math.pow(r29 - r22, 2.0d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x0111, code lost:
    
        if ((1276.898681640625d - 0.9d) == 1275.9987f) goto L34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x0078, code lost:
    
        r28 = r28 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x00f0, code lost:
    
        if ((1104.4373f - 14.450596f) == 1089.9867f) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0177, code lost:
    
        r10 = new double[r9];
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:20:0x00ba -> B:4:0x00df). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:24:0x0160 -> B:4:0x00df). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:29:0x0053 -> B:9:0x0177). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:31:0x0094 -> B:23:0x0151). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:37:0x0127 -> B:17:0x01bf). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:39:0x014b -> B:21:0x00c6). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:39:0x014b -> B:45:0x009a). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:44:0x006f -> B:9:0x0177). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:46:0x00a9 -> B:17:0x01bf). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:48:0x0171 -> B:4:0x00df). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private double calculateStandardDeviation(java.util.Deque r8) {
        /*
            Method dump skipped, instructions count: 565
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.inventory.InventoryM.calculateStandardDeviation(java.util.Deque):double");
    }

    /* JADX WARN: Removed duplicated region for block: B:16:0x0051  */
    /* JADX WARN: Removed duplicated region for block: B:22:0x0009 A[SYNTHETIC] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:17:0x00ae -> B:6:0x0038). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void onPacketReceive(cn.dg32z.libs.com.github.retrooper.packetevents.event.PacketReceiveEvent r6) {
        /*
            r5 = this;
            r0 = 0
            r7 = r0
            r0 = 0
            r8 = r0
            goto L69
        L9:
            long r0 = java.lang.System.currentTimeMillis()
            r8 = r0
            r0 = 1149610488(0x4485a9f8, float:1069.3115)
            r1 = 1094054332(0x4135f1bc, float:11.371517)
            float r0 = r0 - r1
            r1 = 1149517333(0x44843e15, float:1057.9401)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L85
            goto L85
        L1e:
            cn.dg32z.libs.com.github.retrooper.packetevents.wrapper.play.client.WrapperPlayClientClickWindow r0 = new cn.dg32z.libs.com.github.retrooper.packetevents.wrapper.play.client.WrapperPlayClientClickWindow
            r1 = r0
            r2 = r6
            r1.<init>(r2)
            r7 = r0
            r0 = 1149557386(0x4484da8a, float:1062.8293)
            r1 = 1092395418(0x411ca19a, float:9.7894535)
            float r0 = r0 - r1
            r1 = 1149477191(0x4483a147, float:1053.0399)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L38
            goto L9
        L38:
            r0 = r5
            r1 = r7
            r2 = r8
            r0.processThrowOperation(r1, r2)
            r0 = 4652884970375741440(0x40925e3a80000000, double:1175.55712890625)
            r1 = 4605380978949069210(0x3fe999999999999a, double:0.8)
            double r0 = r0 - r1
            r1 = 1150474298(0x4492d83a, float:1174.7571)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L51
            goto L9
        L50:
            return
        L51:
            r0 = r5
            r1 = r7
            r2 = r8
            r0.processSequentialOperation(r1, r2)
            r0 = 4654233127860830208(0x4097285ee0000000, double:1482.0926513671875)
            r1 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            double r0 = r0 - r1
            r1 = 1152987076(0x44b92fc4, float:1481.4927)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L50
            goto L38
        L69:
            r0 = r6
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.packettype.PacketTypeCommon r0 = r0.getPacketType()
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.packettype.PacketType$Play$Client r1 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.packettype.PacketType.Play.Client.CLICK_WINDOW
            if (r0 == r1) goto L1e
            r0 = 1145264270(0x4443588e, float:781.38367)
            r1 = 1095314268(0x41492b5c, float:12.573086)
            float r0 = r0 - r1
            r1 = 1145058273(0x444033e1, float:768.8106)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L50
            goto L84
        L84:
            return
        L85:
            r0 = r5
            r1 = r7
            r2 = r8
            r0.processSwapOperation(r1, r2)
            r0 = 4654019797372108800(0x4096665900000000, double:1433.5869140625)
            r1 = 4604480259023595110(0x3fe6666666666666, double:0.7)
            double r0 = r0 - r1
            r1 = 1152588898(0x44b31c62, float:1432.887)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L9d
            goto L9d
        L9d:
            r0 = r5
            r1 = r7
            r2 = r8
            r0.processQuickMoveOperation(r1, r2)
            r0 = 1150265638(0x448fa926, float:1149.2859)
            r1 = 1085870379(0x40b9112b, float:5.7833457)
            float r0 = r0 - r1
            r1 = 1150218261(0x448ef015, float:1143.5026)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L9d
            goto L38
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.inventory.InventoryM.onPacketReceive(cn.dg32z.libs.com.github.retrooper.packetevents.event.PacketReceiveEvent):void");
    }

    /* JADX WARN: Multi-variable type inference failed */
    static {
        int i;
        byte[] bytes = "¡\u0012p\\w\u0011K¼4þÔ©9¨NÆbËUX\u009cW¼R©Ö,øüØg~«#ÿÛ6¦åÇÀ\rÀº#À¼1q\\\u0080\u009dâ\u001b4E²®B\u00102Ü\u0001ì".getBytes("ISO_8859_1");
        byte[] bytes2 = "ïÍÍ`fL\u008a²".getBytes("ISO_8859_1");
        int i2 = 0;
        int length = bytes.length;
        do {
            switch (bytes[i2] & 255) {
                case false:
                    i = 1351365419;
                    break;
                case true:
                    i = 873285629;
                    break;
                case true:
                    i = 941103938;
                    break;
                case true:
                    i = -741575017;
                    break;
                case true:
                    i = -2027276506;
                    break;
                case true:
                    i = 692225510;
                    break;
                case true:
                    i = 2067534307;
                    break;
                case true:
                    i = -1176371813;
                    break;
                case true:
                    i = -452402008;
                    break;
                case true:
                    i = -1891811454;
                    break;
                case true:
                    i = 1232091757;
                    break;
                case true:
                    i = -1889245874;
                    break;
                case true:
                    i = 162143530;
                    break;
                case true:
                    i = 841810883;
                    break;
                case true:
                    i = 1633698503;
                    break;
                case true:
                    i = 523535621;
                    break;
                case true:
                    i = -1510667081;
                    break;
                case true:
                    i = -142068489;
                    break;
                case true:
                    i = -1492207939;
                    break;
                case true:
                    i = -426292794;
                    break;
                case true:
                    i = -667863512;
                    break;
                case true:
                    i = 801056363;
                    break;
                case true:
                    i = 1982163061;
                    break;
                case true:
                    i = 1655427600;
                    break;
                case true:
                    i = -1203298560;
                    break;
                case true:
                    i = 1881618778;
                    break;
                case true:
                    i = -1871676297;
                    break;
                case true:
                    i = -1543403848;
                    break;
                case true:
                    i = 1948730658;
                    break;
                case true:
                    i = 1743339736;
                    break;
                case true:
                    i = 1130134790;
                    break;
                case true:
                    i = -1337410335;
                    break;
                case true:
                    i = 1929409400;
                    break;
                case true:
                    i = -1081995725;
                    break;
                case true:
                    i = -1980617792;
                    break;
                case true:
                    i = 648923122;
                    break;
                case true:
                    i = -923095791;
                    break;
                case true:
                    i = -266667974;
                    break;
                case true:
                    i = -78586488;
                    break;
                case true:
                    i = -1273528973;
                    break;
                case true:
                    i = -725860432;
                    break;
                case true:
                    i = -1175739875;
                    break;
                case true:
                    i = -632119775;
                    break;
                case true:
                    i = 1451197993;
                    break;
                case true:
                    i = -263015191;
                    break;
                case true:
                    i = -2043317502;
                    break;
                case true:
                    i = -1743559620;
                    break;
                case true:
                    i = -80995777;
                    break;
                case true:
                    i = 2020714807;
                    break;
                case true:
                    i = 1434217466;
                    break;
                case true:
                    i = 851906523;
                    break;
                case true:
                    i = 1073209231;
                    break;
                case true:
                    i = 462805964;
                    break;
                case true:
                    i = -1800907949;
                    break;
                case true:
                    i = -1830810002;
                    break;
                case true:
                    i = -1253169079;
                    break;
                case true:
                    i = -155525709;
                    break;
                case true:
                    i = 1056210482;
                    break;
                case true:
                    i = 205703350;
                    break;
                case true:
                    i = -363939191;
                    break;
                case true:
                    i = -751418890;
                    break;
                case true:
                    i = 1849916513;
                    break;
                case true:
                    i = -2040514130;
                    break;
                case true:
                    i = 1609422536;
                    break;
                case true:
                    i = 959659852;
                    break;
                case true:
                    i = -87061036;
                    break;
                case true:
                    i = 919888155;
                    break;
                case true:
                    i = -1608893170;
                    break;
                case true:
                    i = -1737091665;
                    break;
                case true:
                    i = 361214597;
                    break;
                case true:
                    i = -456431726;
                    break;
                case true:
                    i = -1673769345;
                    break;
                case true:
                    i = -1514232045;
                    break;
                case true:
                    i = 418685188;
                    break;
                case true:
                    i = 305829108;
                    break;
                case true:
                    i = -268527459;
                    break;
                case true:
                    i = 446046595;
                    break;
                case true:
                    i = -763362736;
                    break;
                case true:
                    i = 1227396909;
                    break;
                case true:
                    i = 327246831;
                    break;
                case true:
                    i = 801876005;
                    break;
                case true:
                    i = -1532251762;
                    break;
                case true:
                    i = -384656527;
                    break;
                case true:
                    i = 538974715;
                    break;
                case true:
                    i = -1667213889;
                    break;
                case true:
                    i = 1903033515;
                    break;
                case true:
                    i = -785239721;
                    break;
                case true:
                    i = -704082380;
                    break;
                case true:
                    i = 1306719509;
                    break;
                case true:
                    i = -977075130;
                    break;
                case true:
                    i = -230547702;
                    break;
                case true:
                    i = -1403940852;
                    break;
                case true:
                    i = -582978438;
                    break;
                case true:
                    i = 1137885903;
                    break;
                case true:
                    i = 1537113305;
                    break;
                case true:
                    i = 306134283;
                    break;
                case true:
                    i = -1978284056;
                    break;
                case true:
                    i = 2064539902;
                    break;
                case true:
                    i = -1904296332;
                    break;
                case true:
                    i = -1405548174;
                    break;
                case true:
                    i = -832780991;
                    break;
                case true:
                    i = -459351359;
                    break;
                case true:
                    i = 2093917618;
                    break;
                case true:
                    i = 1524528176;
                    break;
                case true:
                    i = -467838671;
                    break;
                case true:
                    i = 1906971595;
                    break;
                case true:
                    i = 1913984796;
                    break;
                case true:
                    i = -1411067089;
                    break;
                case true:
                    i = -1369385148;
                    break;
                case true:
                    i = 1335026149;
                    break;
                case true:
                    i = 2049334552;
                    break;
                case true:
                    i = -197543774;
                    break;
                case true:
                    i = -2076345318;
                    break;
                case true:
                    i = 1068219702;
                    break;
                case true:
                    i = -1924044098;
                    break;
                case true:
                    i = -1769287096;
                    break;
                case true:
                    i = -1586735003;
                    break;
                case true:
                    i = 320537162;
                    break;
                case true:
                    i = -1567753346;
                    break;
                case true:
                    i = -905097098;
                    break;
                case true:
                    i = 1312566155;
                    break;
                case true:
                    i = -1272251238;
                    break;
                case true:
                    i = -1339306771;
                    break;
                case true:
                    i = -798217569;
                    break;
                case true:
                    i = -1126697667;
                    break;
                case true:
                    i = 1127169465;
                    break;
                case true:
                    i = -387893491;
                    break;
                case true:
                    i = -1067068613;
                    break;
                case true:
                    i = -1140835176;
                    break;
                case true:
                    i = -2117347528;
                    break;
                case true:
                    i = 404350313;
                    break;
                case true:
                    i = -2112408363;
                    break;
                case true:
                    i = -1815981553;
                    break;
                case true:
                    i = 1526892836;
                    break;
                case true:
                    i = -1152616940;
                    break;
                case true:
                    i = 192611154;
                    break;
                case true:
                    i = 128523112;
                    break;
                case true:
                    i = 1144324910;
                    break;
                case true:
                    i = 1361592998;
                    break;
                case true:
                    i = 1686225687;
                    break;
                case true:
                    i = -1214836330;
                    break;
                case true:
                    i = 1787476326;
                    break;
                case true:
                    i = -1327850256;
                    break;
                case true:
                    i = 462947462;
                    break;
                case true:
                    i = 355571810;
                    break;
                case true:
                    i = -1004799901;
                    break;
                case true:
                    i = 364720731;
                    break;
                case true:
                    i = 313900341;
                    break;
                case true:
                    i = 1270996489;
                    break;
                case true:
                    i = -1003800999;
                    break;
                case true:
                    i = -860521889;
                    break;
                case true:
                    i = 1936379828;
                    break;
                case true:
                    i = -1141914635;
                    break;
                case true:
                    i = 1758514513;
                    break;
                case true:
                    i = 581385601;
                    break;
                case true:
                    i = 50987052;
                    break;
                case true:
                    i = -1073767080;
                    break;
                case true:
                    i = -569602237;
                    break;
                case true:
                    i = -992296099;
                    break;
                case true:
                    i = 1884622011;
                    break;
                case true:
                    i = 142857645;
                    break;
                case true:
                    i = -109841369;
                    break;
                case true:
                    i = 1197022954;
                    break;
                case true:
                    i = -819881583;
                    break;
                case true:
                    i = 16750879;
                    break;
                case true:
                    i = 1105907141;
                    break;
                case true:
                    i = -263743353;
                    break;
                case true:
                    i = -1516755062;
                    break;
                case true:
                    i = -804768547;
                    break;
                case true:
                    i = 725595005;
                    break;
                case true:
                    i = 1416976359;
                    break;
                case true:
                    i = 1596672397;
                    break;
                case true:
                    i = -213464621;
                    break;
                case true:
                    i = 895787985;
                    break;
                case true:
                    i = 1054645436;
                    break;
                case true:
                    i = -327760743;
                    break;
                case true:
                    i = 1972664057;
                    break;
                case true:
                    i = -40927921;
                    break;
                case true:
                    i = -318025817;
                    break;
                case true:
                    i = -501522626;
                    break;
                case true:
                    i = -662231660;
                    break;
                case true:
                    i = 1008034559;
                    break;
                case true:
                    i = -478371478;
                    break;
                case true:
                    i = -1264222484;
                    break;
                case true:
                    i = 325420911;
                    break;
                case true:
                    i = -1886449316;
                    break;
                case true:
                    i = -1456994345;
                    break;
                case true:
                    i = 970578809;
                    break;
                case true:
                    i = 1406995769;
                    break;
                case true:
                    i = -1274819168;
                    break;
                case true:
                    i = 656923871;
                    break;
                case true:
                    i = 1906635093;
                    break;
                case true:
                    i = 1362939666;
                    break;
                case true:
                    i = -289706016;
                    break;
                case true:
                    i = 1788630550;
                    break;
                case true:
                    i = -1482758172;
                    break;
                case true:
                    i = 497334419;
                    break;
                case true:
                    i = -1808815923;
                    break;
                case true:
                    i = 840282445;
                    break;
                case true:
                    i = 987699976;
                    break;
                case true:
                    i = 298348484;
                    break;
                case true:
                    i = 1486853991;
                    break;
                case true:
                    i = 1058716309;
                    break;
                case true:
                    i = 301439426;
                    break;
                case true:
                    i = 467255473;
                    break;
                case true:
                    i = -1001902521;
                    break;
                case true:
                    i = 1980697956;
                    break;
                case true:
                    i = -710800093;
                    break;
                case true:
                    i = -920218978;
                    break;
                case true:
                    i = -1921572789;
                    break;
                case true:
                    i = -1391542799;
                    break;
                case true:
                    i = 858591769;
                    break;
                case true:
                    i = -2144162322;
                    break;
                case true:
                    i = -1680522806;
                    break;
                case true:
                    i = -880064804;
                    break;
                case true:
                    i = 1766974816;
                    break;
                case true:
                    i = -1093286655;
                    break;
                case true:
                    i = 480286377;
                    break;
                case true:
                    i = -758128686;
                    break;
                case true:
                    i = 1544018894;
                    break;
                case true:
                    i = -1049975778;
                    break;
                case true:
                    i = -698515836;
                    break;
                case true:
                    i = 1095868448;
                    break;
                case true:
                    i = 258744192;
                    break;
                case true:
                    i = -1247516962;
                    break;
                case true:
                    i = 118076016;
                    break;
                case true:
                    i = 1376918279;
                    break;
                case true:
                    i = 1009361316;
                    break;
                case true:
                    i = -1049947252;
                    break;
                case true:
                    i = -1319956522;
                    break;
                case true:
                    i = 346114716;
                    break;
                case true:
                    i = 1245066403;
                    break;
                case true:
                    i = 1953570296;
                    break;
                case true:
                    i = -1358997893;
                    break;
                case true:
                    i = -1682573638;
                    break;
                case true:
                    i = 1316437076;
                    break;
                case true:
                    i = 910654046;
                    break;
                case true:
                    i = -137273931;
                    break;
                case true:
                    i = 1176632956;
                    break;
                case true:
                    i = 774997409;
                    break;
                case true:
                    i = 1926131187;
                    break;
                case true:
                    i = -804559707;
                    break;
                case true:
                    i = -765845652;
                    break;
                case true:
                    i = 491586283;
                    break;
                case true:
                    i = 2017279433;
                    break;
                case true:
                    i = 2004190096;
                    break;
                case true:
                    i = -971037268;
                    break;
                case true:
                    i = -1280401238;
                    break;
                case true:
                    i = 2094747874;
                    break;
                case true:
                    i = 617242371;
                    break;
                case true:
                    i = 609263941;
                    break;
                case true:
                    i = -1887997478;
                    break;
                case true:
                    i = 724142934;
                    break;
                case true:
                    i = -1193566144;
                    break;
                case true:
                    i = 1087345916;
                    break;
                case true:
                    i = 924436688;
                    break;
                default:
                    i = 2044911234;
                    break;
            }
            int i3 = i2;
            i2++;
            bytes[i3] = (byte) i;
        } while (i2 != length);
        Cipher cipher = Cipher.getInstance("DES/CBC/PKCS5Padding");
        cipher.init(2, SecretKeyFactory.getInstance("DES").generateSecret(new DESKeySpec(bytes2)), new IvParameterSpec(new byte[8]));
        byte[] doFinal = cipher.doFinal(bytes);
        int length2 = doFinal.length;
        MessageDigest messageDigest = MessageDigest.getInstance("SHA-256");
        messageDigest.reset();
        int i4 = length2 - 32;
        messageDigest.update(doFinal, 0, i4);
        byte[] digest = messageDigest.digest();
        int i5 = 0;
        Object[] objArr = false;
        int i6 = 0;
        do {
            objArr = (objArr == true ? 1 : 0) | (doFinal[i4 + i5] ^ digest[i5]) ? 1 : 0;
            i5++;
        } while (i5 != 32);
        if (objArr == true) {
            return;
        }
        Object[] objArr2 = new Object[2];
        a = objArr2;
        int i7 = 0;
        do {
            int i8 = i7;
            int i9 = i7 + 1;
            int i10 = i9 + 1;
            int i11 = (doFinal[i8] & 255) | ((doFinal[i9] & 255) << 8);
            byte[] bArr = new byte[i11];
            System.arraycopy(doFinal, i10, bArr, 0, i11);
            i7 = i10 + i11;
            int i12 = i6;
            i6++;
            objArr2[i12] = new String(bArr, "UTF-8").intern();
        } while (i7 != i4);
    }

    /* JADX WARN: Code restructure failed: missing block: B:11:0x00b2, code lost:
    
        if ((1071.4783f - 13.137461f) != 1058.3408f) goto L19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0055, code lost:
    
        if (r0.hasNext() == false) goto L34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0058, code lost:
    
        r14 = (java.lang.Long) r0.next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x006f, code lost:
    
        if ((993.89136f - 14.568204f) != 979.3232f) goto L4;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0015, code lost:
    
        return 0.0d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x00f2, code lost:
    
        if (r12 == null) goto L19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0100, code lost:
    
        if ((1136.5897f - 10.477269f) != 1126.1124f) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x00cb, code lost:
    
        r10 = r10 + (r14.longValue() - r12.longValue());
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x00e5, code lost:
    
        if ((780.2349f - 12.131398f) == 768.1035f) goto L19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0075, code lost:
    
        r12 = r14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0084, code lost:
    
        if ((1051.918f - 12.43638f) == 1039.4816f) goto L14;
     */
    /* JADX WARN: Removed duplicated region for block: B:10:0x009f  */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:19:0x0100 -> B:4:0x0017). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:23:0x0084 -> B:12:0x004e). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private double calculateMeanInterval(java.util.Deque r8) {
        /*
            Method dump skipped, instructions count: 266
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.inventory.InventoryM.calculateMeanInterval(java.util.Deque):double");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private void cleanupDeque(Deque deque, long j) {
        while (!deque.isEmpty() && j - ((Long) deque.peekFirst()).longValue() > 500 && 1321.42822265625d - 0.7d != 1320.7283f) {
            deque.pollFirst();
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:11:0x008c, code lost:
    
        if ((1264.0869f - 11.410255f) == 1252.6766f) goto L8;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x004a, code lost:
    
        if (r12 >= r8.stdThreshold) goto L40;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0058, code lost:
    
        if ((1285.6357f - 13.299641f) != 1272.336f) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0092, code lost:
    
        r12 = calculateStandardDeviation(r8.swapTimestamps);
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x00a8, code lost:
    
        if ((881.35205078125d - 0.9d) == 880.452f) goto L43;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x00ae, code lost:
    
        flagAndAlert(java.lang.String.format((java.lang.String) a((char) (-555941888)), java.lang.Double.valueOf(r12)));
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x00d8, code lost:
    
        if ((950.7677612304688d - 0.9d) == 949.86774f) goto L45;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x005e, code lost:
    
        r8.swapTimestamps.clear();
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0072, code lost:
    
        if ((793.1863f - 14.811138f) != 778.3751f) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:?, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:?, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x002e, code lost:
    
        if (r8.swapTimestamps.size() < 8) goto L41;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x003d, code lost:
    
        if ((1163.5224609375d - 0.1d) != 1163.4225f) goto L46;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:?, code lost:
    
        return;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:15:0x00a8 -> B:10:0x0043). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private void processSwapOperation(cn.dg32z.libs.com.github.retrooper.packetevents.wrapper.play.client.WrapperPlayClientClickWindow r9, long r10) {
        /*
            Method dump skipped, instructions count: 254
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.inventory.InventoryM.processSwapOperation(cn.dg32z.libs.com.github.retrooper.packetevents.wrapper.play.client.WrapperPlayClientClickWindow, long):void");
    }

    public InventoryM(PlayerData playerData) {
        super(playerData);
        this.swapTimestamps = new ArrayDeque();
        this.quickMoveTimestamps = new ArrayDeque();
        this.throwTimestamps = new ArrayDeque();
        this.lastSlot = -1;
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void reload() {
        while (true) {
            super.reload();
            if (780.1497802734375d - 0.9d != 779.24976f) {
                do {
                    this.stdThreshold = getConfig().getDoubleElse(getConfigName() + ".std-threshold", 2.8d);
                } while (1192.76171875d - 0.7d == 1192.0618f);
                this.quickMoveLimit = getConfig().getIntElse(getConfigName() + ".quick-move-limit", 12);
                if (520.95276f - 6.990583f == 513.96216f) {
                    this.throwLimit = getConfig().getIntElse(getConfigName() + ".throw-limit", 10);
                    if (595.858642578125d - 0.9d != 594.9586f) {
                    }
                }
                this.throwStdThreshold = getConfig().getDoubleElse(getConfigName() + ".throw-std-threshold", 1.5d);
                if (888.31104f - 9.434744f == 878.8763f) {
                    return;
                }
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x000d, code lost:
    
        cleanupDeque(r8.throwTimestamps, r10);
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x0021, code lost:
    
        if ((939.49f - 5.4661345f) == 934.02386f) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x006d, code lost:
    
        if (r8.throwTimestamps.size() <= r8.throwLimit) goto L58;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x007b, code lost:
    
        if ((1485.2517f - 5.237928f) != 1480.0138f) goto L58;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x016b, code lost:
    
        flagAndAlert("t= " + r8.throwTimestamps.size());
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0189, code lost:
    
        if ((1394.5454f - 14.8502655f) != 1379.6952f) goto L63;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0046, code lost:
    
        r8.throwTimestamps.clear();
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x005a, code lost:
    
        if ((1275.7145f - 7.464111f) == 1268.2504f) goto L58;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:?, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:?, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0031, code lost:
    
        if (r8.throwTimestamps.size() < 5) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x0040, code lost:
    
        if ((699.197021484375d - 0.4d) != 698.797f) goto L33;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x00e1, code lost:
    
        r12 = calculateMeanInterval(r8.throwTimestamps);
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x00f7, code lost:
    
        if ((739.918701171875d - 0.1d) != 739.8187f) goto L22;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x009f, code lost:
    
        r14 = calculateStandardDeviation(r8.throwTimestamps);
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x00b5, code lost:
    
        if ((958.9072265625d - 0.2d) == 958.7072f) goto L55;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x00c2, code lost:
    
        if (r12 >= 100.0d) goto L52;
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x00cc, code lost:
    
        if (r14 >= r8.throwStdThreshold) goto L53;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x00db, code lost:
    
        if ((574.9862670898438d - 0.6d) == 574.3863f) goto L59;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:?, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:?, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x0119, code lost:
    
        r8.throwTimestamps.clear();
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x012d, code lost:
    
        if ((520.88416f - 8.39249f) != 512.49164f) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:?, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:?, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x0133, code lost:
    
        flagAndAlert(java.lang.String.format((java.lang.String) a((char) 362545153), java.lang.Double.valueOf(r14), java.lang.Double.valueOf(r12)));
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x0165, code lost:
    
        if ((1468.4339599609375d - 0.4d) != 1468.0339f) goto L60;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0113, code lost:
    
        if ((790.5792236328125d - 0.1d) == 790.47925f) goto L61;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0081, code lost:
    
        r8.throwTimestamps.addLast(java.lang.Long.valueOf(r10));
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0099, code lost:
    
        if ((640.18427f - 5.6050677f) == 634.5792f) goto L3;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:23:0x0040 -> B:12:0x0060). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:27:0x00b5 -> B:8:0x0081). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:35:0x012d -> B:12:0x0060). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private void processThrowOperation(cn.dg32z.libs.com.github.retrooper.packetevents.wrapper.play.client.WrapperPlayClientClickWindow r9, long r10) {
        /*
            Method dump skipped, instructions count: 400
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.inventory.InventoryM.processThrowOperation(cn.dg32z.libs.com.github.retrooper.packetevents.wrapper.play.client.WrapperPlayClientClickWindow, long):void");
    }

    private static Object a(char c) {
        return ((Object[]) a)[c];
    }
}
